io.undertow.server.handlers.resource

## Class FileResource

- java.lang.Object
- - io.undertow.server.handlers.resource.PathResource
  - - io.undertow.server.handlers.resource.FileResource

All Implemented Interfaces:
  RangeAwareResource, Resource

    public class FileResource
    extends PathResource

A file resource

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`FileResource(File file, FileResourceManager manager, String path)`

### Method Summary

### Methods inherited from class io.undertow.server.handlers.resource.PathResource

`getCacheKey, getContentLength, getContentType, getETag, getFile, getFilePath, getLastModified, getLastModifiedString, getName, getPath, getResourceManagerRoot, getResourceManagerRootPath, getUrl, isDirectory, isRangeSupported, list, serve, serveRange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileResource

    public FileResource(File file,
                        FileResourceManager manager,
                        String path)